
pageselect Dataset
smpl 2000:1 2012:12
%type="FIG_6"
delete {%type}*
for %s BG ES FN FR GR IR IT NL OE PT
graph {%type}_{%s}.line yield_s_{%s} yield_s_{%s}_eqtm yield_s_{%s}_eqgv
{%type}_{%s}.axis(l) grid zeroline 
	{%type}_{%s}.axis(b) grid
	{%type}_{%s}.option linepat	
	{%type}_{%s}.setelem(1) lcolor(blue) lpat(solid) lwidth(1.25) 
	{%type}_{%s}.setelem(2) lcolor(red) lpat(dash1) lwidth(1.25)
	{%type}_{%s}.setelem(3) lcolor(black) lpat(solid) lwidth(1.25)
	{%type}_{%s}.name(1) yield spread vs GER
	{%type}_{%s}.name(2) equilibrium yield spread based on the traditional model
	{%type}_{%s}.name(3) equilibrium yield spread based on the GVAR
	{%type}_{%s}.addtext(t) {%s}
	{%type}_{%s}.draw(line,bottom) 01/07/2007
	{%type}_{%s}.draw(line,bottom,pattern(3)) 01/09/2009
next


graph fig_6_1.merge fig_6_ES fig_6_IT fig_6_IR fig_6_PT fig_6_BG fig_6_GR
fig_6_1.align(2,1.2,2.1)

graph fig_6_2.merge fig_6_FN fig_6_FR fig_6_NL fig_6_OE 
fig_6_2.align(2,1.2,2.1)


smpl 2009:12 2012:10
'PLOTS exchange rate premia 
'all global spreads 
%type="FIG_6_3"
delete {%type}*
%LIST = "  ES  IT IR  PT  BG " 'bd 
FOR %IDC {%LIST}
graph {%type}_{%IDC}.line(x) (yield_s_{%IDC}_eqgv- yield_s_{%IDC}_eqtm) (yield_s_{%IDC}-cds_10y_s_{%IDC})
{%type}_{%IDC}.axis(l) grid zeroline
{%type}_{%IDC}.axis(b) grid
{%type}_{%IDC}.option linepat	
{%type}_{%IDC}.name(1) GVAR equilibrium spreads -TM equilibrium spreads
{%type}_{%IDC}.name(2) Bond Spreads-CDS Spreads
'{%type}_{%IDC}.name(3) Spread on German Bunds
{%type}_{%IDC}.setelem(1) lcolor(blue) lpat(solid) lwidth(1.25) 
{%type}_{%IDC}.setelem(2) lcolor(red) lpat(dash1) lwidth(1.25)
{%type}_{%IDC}.setelem(3) lcolor(black) lpat(solid) lwidth(1.25)
{%type}_{%IDC}.addtext(t) {%IDC} 
'{%type}_{%IDC}.draw(line,bottom) 01/07/2007
'{%type}_{%IDC}.draw(line,bottom,pattern(3)) 01/09/2009
next


graph {%type}.merge   {%type}_es  {%type}_ir {%type}_it  {%type}_pt {%type}_bg
copy Dataset\fig_6_1 Graphs\
copy Dataset\fig_6_2 Graphs\
copy Dataset\fig_6_3 Graphs\
delete fig_*
