'delete sys_gvar_tm*
pageselect dataset
system sys_gvar_tm
!J = 0
!i=0
%LIST = " bg es fn  fr gr  ir it nl oe pt  " 
'%LIST = " bg es fn  fr   ir it nl oe pt  "  'no greece for forecasting 
FOR %IDC {%LIST}
include MAKE_SYS_GVAR_TM
!i = !i +8 'if this line is skipped, then the panel restrictions are imposed on the GVAR  
!j=!j+8
next
'smpl 3/01/2000 24/10/2011
smpl 2000:1 2009:12
sys_gvar_tm.sur
smpl 2000:1 2012:12
'compute long-run equilibrium spreads
!i=0
%LIST = " bg es fn  fr gr  ir it nl oe pt  " 
'%LIST = " bg es fn  fr   ir it nl oe pt  "  'no greece for forecasting 
FOR %IDC {%LIST}
genr yield_s_{%IDC}_eqtm= (-sys_gvar_tm.@coefs(3+!i)*US_CORP_SPREAD-sys_gvar_tm.@coefs(4+!i)*(DEBT_GDP_S_{%IDC}/60) - sys_gvar_tm.@coefs(5+!i)*DEFICIT_GDP_S_{%IDC}/3)/sys_gvar_tm.@coefs(2+!i)
!i = !i +6 
next

' onset of the Greek sovereign debt crisis at the end of 2009

'The dynamics of the spread between Italian and German 10-year sovereign rates has been characterized by three different periods (Figure 2). Between mid-2009 and April 2010, the spread  hovered around 85 basis points.

'Subsequently, after the start of the first wave of sovereign debt tensions in May 2010 and up to June 2011, the spread was still relatively stable, although at a higher level (about 150 basis points on average).

'In the third period, starting in July 2011 (after the announcement of the so-called private sector involvement in the second assistance package for Greece), the Italian 10-year yield spread has increased substantially and has become much more volatile.
