'Plot graphs

'Yields, default e non-default components
'----------------------------------------------------------------

smpl @all
delete fig_comp_*
for %s BG ES FN FR GR IR IT NL OE PT
series non_default_s_{%s} = yield_s_{%s} - cds_10Y_s_{%s}
graph fig_comp_{%s}.line yield_s_{%s} cds_10Y_s_{%s} non_default_s_{%s}
	fig_comp_{%s}.axis(l) grid zeroline 
	fig_comp_{%s}.axis(b) grid
	fig_comp_{%s}.option linepat	
	fig_comp_{%s}.setelem(1) lcolor(blue) lpat(solid) lwidth(1.25) 
	fig_comp_{%s}.setelem(2) lcolor(red) lpat(dash1) lwidth(1.25)
	fig_comp_{%s}.setelem(3) lcolor(black) lpat(solid) lwidth(1.25)
	fig_comp_{%s}.name(1) yield spread vs GER
	fig_comp_{%s}.name(2) cds spread vs GER
	fig_comp_{%s}.name(3) non default component vs GER
	fig_comp_{%s}.addtext(t) {%s}
	fig_comp_{%s}.draw(line,bottom) 01/07/2007
	fig_comp_{%s}.draw(line,bottom,pattern(3)) 01/09/2009
next
graph fig_3.merge FIG_comp_ES FIG_comp_IT FIG_comp_PT FIG_comp_BG 
fig_3.align(2,1.2,2.1)

graph fig_4.merge  FIG_comp_FN FIG_comp_FR FIG_comp_NL FIG_comp_OE
fig_4.align(2,1.2,2.1)

copy Dataset\fig_3 Graphs\
copy Dataset\fig_4 Graphs\
delete fig_*
