vector v
matrix(6,4) tmp
	
	v = @columnextract(imp_rsp_pt02,2)
	colplace(tmp,v,1)	
	v = @columnextract(imp_rsp_pt05,2)
	colplace(tmp,v,2)		
	v = @columnextract(imp_rsp_pt05,1)
	colplace(tmp,v,3)
	v = @columnextract(imp_rsp_pt05,3)
	colplace(tmp,v,4)
	
	
	
' make graph
	freeze(tmp_graph1) tmp.line
	tmp_graph1.option linepat	' need to set linepat
	tmp_graph1.elem(1) lcolor(red) lpat(dash2) lwidth(2)
	tmp_graph1.elem(2) lcolor(blue) lpat(solid) lwidth(2)
	tmp_graph1.elem(3) lcolor(blue) lpat(dash1) lwidth(1)
	tmp_graph1.elem(4) lcolor(blue) lpat(dash1) lwidth(1)
	tmp_graph1.draw(line,left,rgb(180,180,180)) 0
	'tmp_graph1.legend(off)
	tmp_graph1.name(1) Point Estimate low interdependence (2002)
	tmp_graph1.name(2) Point Estimate high interdependence (2005)
	tmp_graph1.name(3) Lower bound high interdependence (2005)
	tmp_graph1.name(4) Upper bound high interdependence (2005)
     tmp_graph1.name(5) 
     tmp_graph1.addtext(t)  "The response (GIRF) of Portuguese spreads to a 200 bp shock to Greek spreads "
		
	'tmp_graph1.legend -display
smpl 2000:1 2011:12
%type="FIG_weight_ir_gr"
delete {%type}*
	graph {%type}.line w_ir_gr 
	{%type}.axis grid zeroline
	{%type}.option linepat	' need to set linepat
	'{%type}.draw(line,left,rgb(180,180,180)) 0
	{%type}.elem(1) lcolor(blue) lpat(solid)  lwidth(2) 'symbol(circle) symbolsize(s)
	'{%type}.elem(2) lcolor(blue) lpat(dash1) lwidth(1.25)
	'{%type}.elem(3) lcolor(red) lpat(dash2) lwidth(1.25)
	'{%type}.elem(4) lcolor(green) lpat(dash6) lwidth(1.25) 'symbol(circle) symbolsize(xs)
	'{%type}.name(1) Germany
	'{%type}.name(2) Italy
	'{%type}.name(3) Spain
	'{%type}.name(4) Portugal
	{%type}.addtext(t)  "The weight of the Greek spread in the Global variable for Ireland"
	'{%type}.legend columns(1) position(r)
             '   {%type}.draw(shade,bottom) 01/08/2005 27/04/2011
              '	{%type}.draw(line,bottom) 01/07/2007
			'{%type}.draw(line,bottom,pattern(3)) 01/09/2009
